<?php

declare(strict_types=1);

namespace OCA\VibeEToEe\Contracts;

use OCA\VibeEToEe\Exceptions\KeyExistsException;
use OCP\Files\ForbiddenException;
use OCP\Files\NotFoundException;
use OCP\Files\NotPermittedException;
use OCP\IUser;

interface IKeyStorage {

	public function getPublicKey(string $uid): string;
	public function publicKeyExists(string $uid): bool;
	public function setPublicKey(string $publicKey, string $uid): void;
	public function deletePublicKey(string $uid): void;
	public function getPrivateKey(string $uid): string;
	public function privateKeyExists(string $uid): bool;
	public function setPrivateKey(string $privateKey, string $uid): void;
	public function deletePrivateKey(string $uid): void;
	public function deleteUserKeys(IUser $user): void;
}
