<?php

declare(strict_types=1);

namespace OCA\VibeEToEe\Contracts;

use OCA\VibeEToEe\Exceptions\MetaDataExistsException;
use OCA\VibeEToEe\Exceptions\MissingMetaDataException;
use OCP\Files\NotFoundException;
use OCP\Files\NotPermittedException;

interface IMetaDataStorage {

	public function getMetaData(string $userId, int $id): string;
	public function setMetaDataIntoIntermediateFile(string $userId, int $id, string $metaData): void;
	public function updateMetaDataIntoIntermediateFile(string $userId, int $id, string $fileKey): void;
	public function saveIntermediateFile(string $userId, int $id): void;
	public function deleteIntermediateFile(string $userId, int $id): void;
	public function deleteMetaData(string $userId, int $id): void;
}
