<?php

namespace OCA\VibeEToEe\Controller;

use OCA\VibeEToEe\Contracts\IExportVibe;
use OCP\AppFramework\OCSController;
use OCP\IRequest;
use OCA\VibeEToEe\AppInfo\Application;
use OCP\AppFramework\Http\DataResponse;
use OCP\AppFramework\OCS\OCSBadRequestException;

//use OCP\AppFramework\ApiController;
//use OC\Accounts\AccountManager;
//
//use OCA\VibeEToEe\Contracts\IRestApi;
//use OCA\VibeEToEe\Db\GroupMapMapper;
//use OCP\AppFramework\Http;
//
//use OCP\AppFramework\Http\JSONResponse;
//
//use OCP\IConfig;
//
//use OCP\IUserSession;
//use OCP\IGroup;
//use OCP\IGroupManager;
//use OCP\ILogger;
//use OCP\IL10N;

class ExportController extends OCSController {
    protected $appName;

    /** @var IExportVibe */
    private $exportVibe;

//	/** @var IConfig */
//	private $config;
//
//	/** @var IUserSession */
//	private $userSession;
//
//	/** @var GroupManager */
//	private $groupManager;
//
//    /** @var IRestApi */
//	private $restApi;
//
//    private $logger;
//    private $l10n;
//    private $mapper;

    public function __construct(IRequest $request,
                                IExportVibe $exportVibe) {
		parent::__construct(Application::APP_ID, $request);
        $this->exportVibe = $exportVibe;


//								IConfig $config,
//								IGroupManager $groupManager,
//								IUserSession $userSession,
//                                IRestApi $restApi,
//                                GroupMapMapper $mapper,
//                                ILogger $logger,
//                                IL10N $l10n
//		$this->config = $config;
//		$this->appName = Application::APP_ID;
//		$this->groupManager = $groupManager;
//		$this->userSession = $userSession;
//		$this->restApi = $restApi;
//		$this->mapper = $mapper;
//        $this->logger = $logger;
//        $this->l10n = $l10n;
    }

    /**
     * @param string $groups
     * @return DataResponse
     * @throws OCSBadRequestException
     */
    public function usersToVibe(string $groups){
        try{
            $_groups = explode(',', $groups);
            if($this->exportVibe->foundUsers($_groups)){
                return new DataResponse([ 'log' => $this->exportVibe->getLog() ]);
            }


        } catch (\Exception $e){
			throw new OCSBadRequestException($e->getMessage());
        }
    }

    /**
     * @param string $group
     * @param int $offset
     * @return DataResponse
     * @throws OCSBadRequestException
     */
    public function usersToVibeBygroup(string $group, int $offset = 0){
        try{
            $response = $this->exportVibe
                ->setOffset($offset)
                ->exportFromGroup($group);

            return new DataResponse([
                'offset' => $offset,
                'group' => $group,
                'count' => $response['count'],
                'perUser' => $response['perUser'],
                'users' => $response['users'],
                'log' => $this->exportVibe->getLog()
            ]);


        } catch (\Exception $e){
			throw new OCSBadRequestException($e->getMessage());
        }
    }

    /**
     * @return DataResponse
     * @throws OCSBadRequestException
     */
    public function usersToVibeBystep(){
        try{
            if($result = $this->exportVibe->executeByStep()){
                return new DataResponse([
                    'log' => $this->exportVibe->getLog(),
                    'result' => $this->exportVibe->calculateProgress(),
                ]);
            }

        } catch (\Exception $e){
			throw new OCSBadRequestException($e->getMessage());
        }


    }

}
