<?php

namespace OCA\VibeEToEe\Controller;

use OCP\AppFramework\Http\DataResponse;
use OCP\AppFramework\OCS\OCSException;
use OCP\AppFramework\OCS\OCSNotFoundException;
use OCP\ILogger;
use OCP\AppFramework\OCSController;
use OCP\AppFramework\Http\JSONResponse;
use OCP\IRequest;

class TestController extends OCSController
{
    private $logger;

    public function __construct($AppName,
                                IRequest $request,
                                ILogger $logger)
    {
        parent::__construct($AppName, $request);
        $this->logger = $logger;
    }

    /**
     * @NoAdminRequired
     * @NoCSRFRequired
     *
     * @return JSONResponse
     */
    public function groups(){

        try{
//            return new JSONResponse([
//                'status'    => 'success',
//                'data'      => $this->mockupData(),
//            ]);
            return new JSONResponse( $this->mockupData() );

        } catch (\Exception $e){
            return new JSONResponse([
                'status' => 'error',
                'message' => $e->getMessage()
                ]);
        }

    }


    /**
     * @return array
     */
    protected function mockupData()
    {
        try {
            $data = require_once (__DIR__ . '/../../testdata.php');
            return $data;

        } catch (\Exception $e){
            die($e->getMessage());
        }
    }

}
