<?php

namespace OCA\VibeEToEe\Listener;

use Exception;
use OCA\VibeEToEe\AppInfo\Application;
use OCP\User\Events\CreateUserEvent;
use Psr\Log\LoggerInterface;
use OCA\VibeEToEe\Db\GroupMapMapper;
use OCP\EventDispatcher\Event;
use OCP\EventDispatcher\IEventListener;
use OCP\Group\Events\UserAddedEvent;
use OCA\VibeEToEe\Db\UserAdminMapper as UserMapper;
use OCP\IConfig;
use OCA\VibeEToEe\Contracts\IRestApi;
use OCP\IGroupManager;

class UserCreateListener implements IEventListener {

    /** @var IGroupManager */
    private $groupManager;

    /** @var GroupMapMapper  */
    private $mapper;

    /** @var LoggerInterface */
    private $logger;

    /** @var UserMapper */
    private $userMapper;

    /** @var IRestApi */
    private $restApi;

    /** @var IConfig */
    private $config;

    private $configVibe;

    /**
     * UserAddedToGroupListener constructor.
     * @param GroupMapMapper $mapper
     * @param LoggerInterface $logger
     * @param UserMapper $userMapper
     * @param IConfig $config
     * @param IRestApi $restApi
     * @param IGroupManager $groupManager
     */
	public function __construct(GroupMapMapper $mapper,
                                LoggerInterface $logger,
                                UserMapper $userMapper,
                                IConfig $config,
                                IRestApi $restApi,
                                IGroupManager $groupManager) {
        $this->mapper = $mapper;
        $this->logger = $logger;
        $this->userMapper = $userMapper;
        $this->configVibe = Application::getConfigVibe();
        $this->config = $config;
        $this->restApi = $restApi;
        $this->groupManager = $groupManager;
	}

    /**
     * @param Event $event
     */
	public function handle(Event $event): void {
		if (!($event instanceof CreateUserEvent)) {
			return;
		}

		$uid = $event->getUid();

        $this->logger->error(sprintf('UserCreateListener. UserId: %s ',
            $uid),
            ['app' => Application::APP_ID]);
	}

}
