<?php

namespace OCA\VibeEToEe\Listener;

use Exception;
use OCA\VibeEToEe\AppInfo\Application;
use OCP\User\Events\UserCreatedEvent;
use Psr\Log\LoggerInterface;
use OCA\VibeEToEe\Db\GroupMapMapper;
use OCP\EventDispatcher\Event;
use OCP\EventDispatcher\IEventListener;
use OCP\Group\Events\UserAddedEvent;
use OCA\VibeEToEe\Db\UserAdminMapper as UserMapper;
use OCP\IConfig;
use OCA\VibeEToEe\Contracts\IRestApi;
use OCP\IGroupManager;

class UserCreatedListener implements IEventListener {

    /** @var LoggerInterface */
    private $logger;

    /** @var UserMapper */
    private $userMapper;

    /** @var IConfig */
    private $config;

    private $configVibe;

    /**
     * UserAddedToGroupListener constructor.
     * @param LoggerInterface $logger
     * @param UserMapper $userMapper
     * @param IConfig $config
     */
	public function __construct(LoggerInterface $logger,
                                UserMapper $userMapper,
                                IConfig $config ) {
        $this->logger = $logger;
        $this->userMapper = $userMapper;
        $this->configVibe = Application::getConfigVibe();
        $this->config = $config;
	}

    /**
     * @param Event $event
     * @throws Exception
     */
	public function handle(Event $event): void {
		if (!($event instanceof UserCreatedEvent)) {
			return;
		}

		try {
            $uid = $event->getUid();
            $this->userMapper->userFindOrCreate($uid);

        } catch (Exception $e){
		    throw $e;
        }
	}

}
