<?php

namespace OCA\VibeEToEe\Migration;

use Closure;
use Doctrine\DBAL\Types\Type;
use OCP\DB\ISchemaWrapper;
use OCP\Migration\IOutput;
use OCP\Migration\SimpleMigrationStep;


class Version0001Date20201104154300 extends SimpleMigrationStep
{

    /**
     * @param IOutput $output
     * @param Closure $schemaClosure The `\Closure` returns a `ISchemaWrapper`
     * @param array $options
     * @return null|ISchemaWrapper
     */
    public function changeSchema(IOutput $output, Closure $schemaClosure, array $options)
    {
        /** @var ISchemaWrapper $schema */
        $schema = $schemaClosure();

        if (!$schema->hasTable('vibee2ee_groups_mapping')) {
            $table = $schema->createTable('vibee2ee_groups_mapping');
            $table->addColumn('id', 'integer', [
                'autoincrement' => true,
                'notnull' => true,
            ]);
            $table->addColumn('group_id', 'string', [
                'notnull' => true,
                'length' => 128,
            ]);
            $table->addColumn('vibe_id', 'string', [
                'notnull' => true,
                'length' => 128,
            ]);

            $table->setPrimaryKey(['id'], 'vibee2ee_gm_id_index');
            $table->addUniqueIndex(['group_id'], 'vibee2ee_gm_groupid_index');
            $table->addUniqueIndex(['vibe_id'], 'vibee2ee_gm_vibeid_index');
            $table->addUniqueIndex(['group_id', 'vibe_id'], 'vibee2ee_gm_group_vibe_index');
        }

        return $schema;
    }
}
