<?php

namespace OCA\VibeEToEe\Migration;

use Closure;
use Doctrine\DBAL\Types\Type;
use OCP\DB\ISchemaWrapper;
use OCP\Migration\IOutput;
use OCP\Migration\SimpleMigrationStep;


class Version0001Date20201110153100 extends SimpleMigrationStep
{
    /**
     * @param IOutput $output
     * @param Closure $schemaClosure The `\Closure` returns a `ISchemaWrapper`
     * @param array $options
     * @return null|ISchemaWrapper
     */
    public function changeSchema(IOutput $output, Closure $schemaClosure, array $options)
    {
        /** @var ISchemaWrapper $schema */
        $schema = $schemaClosure();

        if (!$schema->hasTable('vibee2ee_users_admin')) {
            $table = $schema->createTable('vibee2ee_users_admin');
            $table->addColumn('id', 'integer', [
                'autoincrement' => true,
                'notnull' => true,
            ]);
            $table->addColumn('user_id', 'string', [
                'notnull' => true,
                'length' => 128,
            ]);
//            $table->addColumn('pass_phrase', 'string', [
//                'notnull' => false,
//                'length' => 128,
//            ]);
            $table->addColumn('vibe_key', 'string', [
                'notnull' => false,
                'length' => 128,
            ]);
//			$table->addColumn('created_at', Type::DATETIME, [
//                'notnull' => true,
//                'default' => 'CURRENT_TIMESTAMP'
//            ]);
//			$table->addColumn('updated_at', Type::DATETIME, [
//                'notnull' => false,
//            ]);

            $table->setPrimaryKey(['id'], 'vibee2ee_ua_id');
            $table->addUniqueIndex(['user_id'], 'vibee2ee_ua_userid');
//            $table->addIndex(['pass_phrase'], 'vibee2ee_ua_passphrase');
            $table->addIndex(['vibe_key'], 'vibee2ee_ua_vibekey');
        }

        return $schema;
    }
}
