<?php

namespace OCA\VibeEToEe\Migration;

use Closure;
use Doctrine\DBAL\Types\Type;
use OCP\DB\ISchemaWrapper;
use OCP\Migration\IOutput;
use OCP\Migration\SimpleMigrationStep;


class Version0001Date20210315153100 extends SimpleMigrationStep
{
    /**
     * @param IOutput $output
     * @param Closure $schemaClosure The `\Closure` returns a `ISchemaWrapper`
     * @param array $options
     * @return null|ISchemaWrapper
     */
    public function changeSchema(IOutput $output, Closure $schemaClosure, array $options)
    {
        /** @var ISchemaWrapper $schema */
        $schema = $schemaClosure();

        if (!$schema->hasTable('vibee2ee_export_queue')) {
            $table = $schema->createTable('vibee2ee_export_queue');
            $table->addColumn('id', 'integer', [
                'autoincrement' => true,
            ]);
            $table->addColumn('identity', 'string', [
                'length' => 128,
            ]);
            $table->addColumn('email', 'string', [
                'length' => 128,
            ]);
            $table->addColumn('data', 'text');
            $table->addColumn('status', 'boolean', [
                'notnull' => false,
            ]);

            $table->setPrimaryKey(['id'], 'vibee2ee_export_queue_id');
            $table->addUniqueIndex(['identity'], 'vibee2ee_export_identity');
            $table->addIndex(['status'], 'vibee2ee_export_queue_status');
        }

        return $schema;
    }
}
