<?php

declare(strict_types=1);

namespace OCA\VibeEToEe\Migration;

use Closure;
use OCP\DB\ISchemaWrapper;
use OCP\Migration\IOutput;
use OCP\Migration\SimpleMigrationStep;

class Version1005Date20200312161123 extends SimpleMigrationStep {

	/**
	 * @param IOutput $output
	 * @param Closure $schemaClosure The `\Closure` returns a `ISchemaWrapper`
	 * @param array $options
	 * @return null|ISchemaWrapper
	 */
	public function changeSchema(IOutput $output, Closure $schemaClosure, array $options) {
		/** @var ISchemaWrapper $schema */
		$schema = $schemaClosure();

		if ($schema->hasTable('vibee2ee_encryption_lock')) {
			$table = $schema->getTable('vibee2ee_encryption_lock');

			if ($table->hasIndex('id')) {
				$table->dropIndex('id');
			}

			if (!$table->hasIndex('vibee2ee_unique_lock')) {
				$table->addUniqueIndex(['id'], 'vibee2ee_unique_lock');
			}
		}

		return $schema;
	}
}
