import * as types from '../mutation-types'
import HttpClient from '@nextcloud/axios'
import { linkTo } from '@nextcloud/router'

// state
export const state = {
	groups: [],
}

// getters
export const getters = {
	groups: state => state.groups,
}

// mutations
export const mutations = {
	[types.SET_GROUPS](state, data) {
		state.groups = data
	},
}

// actions
export const actions = {
	async getGroups({ commit }) {
		try {
			const response = await HttpClient.get(linkTo('vibeetoee', 'index.php') + '/api/v1/groups-user', {
				headers: { Accept: 'application/json' },
			})

			const res = response.data.ocs

			if (res.meta.status === 'ok') {
				commit(types.SET_GROUPS, res.data)
			}
			return true

		} catch (e) {
			console.error(e)
			throw e
		}

	},
}
