<?php
/** @var $l \OCP\IL10N */
/** @var $_ array */

script('vibeetoee', 'vibe-personal');         // adds a JavaScript file
style('vibeetoee', 'vibe');    // adds a CSS file
?>

<div id="vibeetoee" class="section">

  <h2><?php p($l->t('VIBE E2E Encryption Nextcloud Extension')); ?></h2>

  <div id="vibe_content_personal" style="margin-top: 50px">
    <div class="row">
      <div class="col col-6">

        <div class="row">
          <div class="col">
            <p><?php p($l->t('Unique identity')); ?>
<!--              <span class="text-muted">(<?php p($l->t('email or mobile #')); ?>)</span> --> :
              <strong><?php p($_['userName']) ?></strong></p>
              <?php /* <label>
                        Unique identity <span class="text-muted">(email or mobile #)</span>:
                        <input type="text" value="<?php p($_['email']) ?>" id="vibe_content_personal__input" style="width: 100%" readonly >
                    </label> */ ?>
          </div>
        </div>
        <br/>

<!--        --><?php //if(!$_['isAdmin']) : ?>
        <div class="row">
          <div class="col d-flex fjc-right">
            <?php if( !empty($_['tokenIssue'])): ?>
              <a href="<?php p($_['actionURL']) ?>?vsarToken=<?php urlencode(p($_['tokenIssue'])) ?>&nextCloudIdentity=<?php urlencode(p($_['userName'])) ?>"
                 id="vibe_content_personal__link"
                 target="_blank" class="button">
                  <?php p($l->t('Register on VIBE SAR Portal')); ?> >>
              </a>
              <?php else: ?>
              <span id="vibe_content_personal__link" class="button text-muted">
                  <?php p($l->t('Register on VIBE SAR Portal')); ?> >>
              </span>
              <?php endif; ?>
          </div>
        </div>
<!--        --><?php //endif; ?>

      </div>


      <div class="col col-6 section-description">
        <div id="description_v" class="description-v">
          <h2>VIBE Authentication & E2E Encryption Service Information</h2>
          <h3>VIBE End-to-End (E2E) Authentication and Encryption Service (AES) Overview</h3>

          <p>VIBE Cybersecurity International’s ironclad Authentication and Encryption Service (AES) is now available to
            the Nextcloud community, providing personal identity authentication and encryption keys at a low, fixed
            annual fee of USD 18 (€15) per key.</p>
          <p>To obtain a private identity, users must register and subscribe to the service via VIBE’s Subscriber
            Authentication and Registration (SAR) portal, following the steps below:</p>
          <h4>1. Are you eligible?</h4>
          <p>AES is open to:</p>
          <ul>
            <li>Any person, enterprise, company or institution with its domestic and primary location in countries that
              comply with EAR and OECD regulations with regard to usage and export of cryptography.
            </li>
            <li>Any country bound by EAR and OECD cryptography usage and export regulations.</li>
            <li>If you have a question about eligibility, don’t hesitate to contact us at info@vibecyber.com</li>
          </ul>

          <h4>2. Complete the Authentication and Registration process in the SAR portal</h4>
          <p>A subscriber may only register unique identities which it owns or governs, and with which it is irrevocably
            associated.</p>
          <p>For a new registration, follow the Company or Private registration path, complete all required
            authentication and invoicing details, and upload the required evidentiary documents authenticating you as
            the eligible subscriber and owner of the registered identity.</p>
          <p>Private Registrations on behalf of others are <strong>not</strong>> permitted.</p>
          <p>If your company or organization is already a VIBE-subscriber, simply give your consent to our General Terms
            and Conditions and follow the Company Subscription registration path.</p>
          <p>Once registered, users can subscribe to an unlimited number of PKs for one or more unique registered
            identities.</p>

          <h4>3. AES fees</h4>
          <p>Annual fees are for the registration of <strong>one</strong> Private Key (PK) for a given unique identity
            (such as email-address, mobile phone number, etc.), and include access to the authentication and
            verification infrastructure which enables key issuance, supply, key management and key re-issuance and/or
            revocation.</p>
          <p>A VIBE key can be used for unlimited encryption, signing and authentication wihin the Nextcloud eco-system.
            Annual fees are all-inclusive with no other administration fees or hidden cost applied.</p>
          <p>Initial subscriptions for a single PK are free for 2 months, post registration, after which the annual fee
            shall be applied. Users may terminate their subscription at any time during the free-trial period by
            providing VIBEcyber advance notice in writing 7 days prior to end of the free-trial period.</p>
          <p>Annual subscription renewals will automatically be processed on the anniversary date of the initial
            registration date, with users having the right to cancel their subscription at any time within 15-days of
            the renewal date. For each PK subscription renewal, VIBEcyber will issue an invoice or process payment
            according to the billing method defined during the registration process.</p>
          <p><strong>For the first year subscription annual fees are prorated</strong>, based on the day and month in
            which a subscription is entered. <strong>After the first year</strong>, annual subscription fees are no
            longer prorated and are due on January 1st. Annual fees are payable in advance – whether prorated or full
            year.</p>

          <h4>4. Register</h4>
          <p>By clicking the VIBE Registration button in the Security section of the Nextcloud personal administration
            settings or in the link provided, you designate yourself as a Registration Authority Officer (RAO), an
            Enterprise Employee or a Private Individual, and will be routed to VIBEcyber’s SAR portal for completing
            your registration.</p>
          <p>RAO’s have access to the VIBE Web Management Administration Console and special AES Management Rights tools
            to administer user and/or group mapping for data and information sharing, and to assign individual, group
            and/or department data access rights within the VIBE hierarchical system.</p>
          <p>Thank you for choosing VIBE!</p>
        </div>
        <button type="button" class="button btn-sm" id="button_read_more" >
            <?php p($l->t('Read more')); ?> ...
        </button>
      </div>

    </div>
  </div>

</div>